Uses of Record Class
org.a2aproject.sdk.spec.DeleteTaskPushNotificationConfigParams
Packages that use DeleteTaskPushNotificationConfigParams
Package
Description
Common OpenTelemetry utilities and shared components for A2A Java SDK.
JSON-RPC 2.0 protocol message wrappers for the A2A Protocol.
JSON processing exceptions for the A2A Java SDK.
-
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.client
Methods in org.a2aproject.sdk.client with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionvoidAbstractClient.deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams request) Delete the list of push notification configurations for a specific task.abstract voidAbstractClient.deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Delete the list of push notification configurations for a specific task.voidClient.deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Delete push notification configurations. -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.client.transport.grpc
Methods in org.a2aproject.sdk.client.transport.grpc with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionvoidGrpcTransport.deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.client.transport.jsonrpc
Methods in org.a2aproject.sdk.client.transport.jsonrpc with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionvoidJSONRPCTransport.deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.client.transport.rest
Methods in org.a2aproject.sdk.client.transport.rest with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionvoidRestTransport.deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.client.transport.spi
Methods in org.a2aproject.sdk.client.transport.spi with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionvoidClientTransport.deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) Delete the list of push notification configurations for a specific task. -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.extras.opentelemetry
Methods in org.a2aproject.sdk.extras.opentelemetry with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionvoidOpenTelemetryRequestHandlerDecorator.onDeleteTaskPushNotificationConfig(DeleteTaskPushNotificationConfigParams params, ServerCallContext context) -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.extras.opentelemetry.client
Methods in org.a2aproject.sdk.extras.opentelemetry.client with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionvoidOpenTelemetryClientTransport.deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.extras.opentelemetry.client.propagation
Methods in org.a2aproject.sdk.extras.opentelemetry.client.propagation with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionvoidOpenTelemetryClientPropagatorTransport.deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams request, @Nullable ClientCallContext context) -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.grpc.mapper
Methods in org.a2aproject.sdk.grpc.mapper that return DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionDeleteTaskPushNotificationConfigParamsMapper.fromProto(DeleteTaskPushNotificationConfigRequest proto) Converts proto DeleteTaskPushNotificationConfigRequest to domain DeleteTaskPushNotificationConfigParams.DeleteTaskPushNotificationConfigParamsMapperImpl.fromProto(DeleteTaskPushNotificationConfigRequest proto) Methods in org.a2aproject.sdk.grpc.mapper with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionDeleteTaskPushNotificationConfigParamsMapper.toProto(DeleteTaskPushNotificationConfigParams domain) Converts domain DeleteTaskPushNotificationConfigParams to proto DeleteTaskPushNotificationConfigRequest.DeleteTaskPushNotificationConfigParamsMapperImpl.toProto(DeleteTaskPushNotificationConfigParams domain) -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.grpc.utils
Methods in org.a2aproject.sdk.grpc.utils that return DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionProtoUtils.FromProto.deleteTaskPushNotificationConfigParams(DeleteTaskPushNotificationConfigRequestOrBuilder request) Methods in org.a2aproject.sdk.grpc.utils with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionProtoUtils.ToProto.deleteTaskPushNotificationConfigRequest(DeleteTaskPushNotificationConfigParams params) -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.jsonrpc.common.wrappers
Methods in org.a2aproject.sdk.jsonrpc.common.wrappers with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionDeleteTaskPushNotificationConfigRequest.Builder.params(DeleteTaskPushNotificationConfigParams params) Sets the request parameters.Constructors in org.a2aproject.sdk.jsonrpc.common.wrappers with parameters of type DeleteTaskPushNotificationConfigParamsModifierConstructorDescriptionDeleteTaskPushNotificationConfigRequest(String jsonrpc, Object id, DeleteTaskPushNotificationConfigParams params) Creates a new DeleteTaskPushNotificationConfigRequest with the specified JSON-RPC parameters.Creates a new DeleteTaskPushNotificationConfigRequest with default JSON-RPC version and method. -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.server.requesthandlers
Methods in org.a2aproject.sdk.server.requesthandlers with parameters of type DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionvoidAuthorizationRequestHandlerDecorator.onDeleteTaskPushNotificationConfig(DeleteTaskPushNotificationConfigParams params, ServerCallContext context) voidDefaultRequestHandler.onDeleteTaskPushNotificationConfig(DeleteTaskPushNotificationConfigParams params, ServerCallContext context) voidRequestHandler.onDeleteTaskPushNotificationConfig(DeleteTaskPushNotificationConfigParams params, ServerCallContext context) -
Uses of DeleteTaskPushNotificationConfigParams in org.a2aproject.sdk.spec
Methods in org.a2aproject.sdk.spec that return DeleteTaskPushNotificationConfigParamsModifier and TypeMethodDescriptionDeleteTaskPushNotificationConfigParams.Builder.build()Builds a newDeleteTaskPushNotificationConfigParamsfrom the current builder state.